STRRCHR(3)

NAME
strrchr - locate character in string

LIBRARY
libc

SYNOPSIS
#include <string.h>
char *
strrchr(const char *s, int c);

DESCRIPTION
The strrchr() function locates the last occurrence of c (converted to a char) in the string s. If c is ‘\0’, strrchr() locates the terminating ‘\0’.

RETURN VALUES
The strrchr() function returns a pointer to the character, or a null pointer if c does not occur anywhere in s.

EXAMPLES
After the following call to strrchr(), p will point to the string "obar":

    char *p;
    char *s = "foobar";
    p = strrchr(s, 'o');

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strcspn(3), strpbrk(3), strsep(3), strspn(3), strstr(3), strtok(3)

STANDARDS
The strrchr() function conforms to ansiC.